projects:
  app:
    upstream_dependencies:
    - components:browser-domains
    - components:browser-engine-gecko
    - components:browser-errorpages
    - components:browser-icons
    - components:browser-menu
    - components:browser-menu2
    - components:browser-session-storage
    - components:browser-state
    - components:browser-storage-sync
    - components:browser-tabstray
    - components:browser-thumbnails
    - components:browser-toolbar
    - components:compose-awesomebar
    - components:compose-base
    - components:compose-browser-toolbar
    - components:compose-cfr
    - components:concept-awesomebar
    - components:concept-base
    - components:concept-engine
    - components:concept-fetch
    - components:concept-menu
    - components:concept-push
    - components:concept-storage
    - components:concept-sync
    - components:concept-tabstray
    - components:concept-toolbar
    - components:feature-accounts
    - components:feature-accounts-push
    - components:feature-addons
    - components:feature-app-links
    - components:feature-autofill
    - components:feature-awesomebar
    - components:feature-contextmenu
    - components:feature-customtabs
    - components:feature-downloads
    - components:feature-findinpage
    - components:feature-fxsuggest
    - components:feature-intent
    - components:feature-logins
    - components:feature-media
    - components:feature-privatemode
    - components:feature-prompts
    - components:feature-push
    - components:feature-pwa
    - components:feature-qr
    - components:feature-readerview
    - components:feature-recentlyclosed
    - components:feature-search
    - components:feature-session
    - components:feature-share
    - components:feature-sitepermissions
    - components:feature-syncedtabs
    - components:feature-tab-collections
    - components:feature-tabs
    - components:feature-toolbar
    - components:feature-top-sites
    - components:feature-webauthn
    - components:feature-webcompat
    - components:feature-webcompat-reporter
    - components:feature-webnotifications
    - components:lib-crash
    - components:lib-crash-sentry
    - components:lib-dataprotect
    - components:lib-publicsuffixlist
    - components:lib-push-firebase
    - components:lib-state
    - components:service-digitalassetlinks
    - components:service-firefox-accounts
    - components:service-glean
    - components:service-location
    - components:service-mars
    - components:service-nimbus
    - components:service-pocket
    - components:service-sync-autofill
    - components:service-sync-logins
    - components:support-appservices
    - components:support-base
    - components:support-images
    - components:support-ktx
    - components:support-locale
    - components:support-remotesettings
    - components:support-test
    - components:support-test-fakes
    - components:support-test-libstate
    - components:support-utils
    - components:support-webextensions
    - components:tooling-lint
    - components:ui-autocomplete
    - components:ui-colors
    - components:ui-icons
    - components:ui-tabcounter
    - components:ui-widgets
variants:
- apks:
  - abi: arm64-v8a
    fileName: app-fenix-arm64-v8a-debug.apk
  - abi: armeabi-v7a
    fileName: app-fenix-armeabi-v7a-debug.apk
  - abi: universal
    fileName: app-fenix-universal-debug.apk
  - abi: x86_64
    fileName: app-fenix-x86_64-debug.apk
  build_type: debug
  name: fenixDebug
- apks:
  - abi: arm64-v8a
    fileName: app-fenix-arm64-v8a-release-unsigned.apk
  - abi: armeabi-v7a
    fileName: app-fenix-armeabi-v7a-release-unsigned.apk
  - abi: universal
    fileName: app-fenix-universal-release-unsigned.apk
  - abi: x86_64
    fileName: app-fenix-x86_64-release-unsigned.apk
  build_type: release
  name: fenixRelease
- apks:
  - abi: arm64-v8a
    fileName: app-fenix-arm64-v8a-nightly-unsigned.apk
  - abi: armeabi-v7a
    fileName: app-fenix-armeabi-v7a-nightly-unsigned.apk
  - abi: universal
    fileName: app-fenix-universal-nightly-unsigned.apk
  - abi: x86_64
    fileName: app-fenix-x86_64-nightly-unsigned.apk
  build_type: nightly
  name: fenixNightly
- apks:
  - abi: arm64-v8a
    fileName: app-fenix-arm64-v8a-beta-unsigned.apk
  - abi: armeabi-v7a
    fileName: app-fenix-armeabi-v7a-beta-unsigned.apk
  - abi: universal
    fileName: app-fenix-universal-beta-unsigned.apk
  - abi: x86_64
    fileName: app-fenix-x86_64-beta-unsigned.apk
  build_type: beta
  name: fenixBeta
- apks:
  - abi: arm64-v8a
    fileName: app-fenix-arm64-v8a-benchmark.apk
  - abi: armeabi-v7a
    fileName: app-fenix-armeabi-v7a-benchmark.apk
  - abi: universal
    fileName: app-fenix-universal-benchmark.apk
  - abi: x86_64
    fileName: app-fenix-x86_64-benchmark.apk
  build_type: benchmark
  name: fenixBenchmark
- apks:
  - abi: noarch
    fileName: app-debug-androidTest.apk
  build_type: androidTest
  name: androidTest
